/* || Sitewide*/

a {
  font-family: "Josefin Sans", sans-serif;
  font-size: 20px;
  color: #722894;
}

a:hover {
  color: #722894;
  text-decoration: none;
}

body {
  margin: 0;
}

button {
  font-family: "Josefin Sans", sans-serif;
  font-size: 18px;
  color: white;
  background-color: #1a4078;
  border: solid 2px #1a4078;
  border-radius: 4px;
  padding: 2.5%;
  letter-spacing: 0.1rem;
}

button:hover {
  color: #1a4078;
  background-color: white;
}

html {
  position: relative;
  min-height: 100%;
}

h1,
h2,
h3,
h4,
h5 {
  font-family: "Josefin Sans", sans-serif;
}

img {
  max-width: 100%;
  max-height: 100%;
}

p {
  font-family: "Georgia";
}

ul {
  font-family: "Georgia";
}
.content-container {
  display: flex;
  margin-left: 3%;
  margin-bottom: 230px;
  width: 100%;
}

.content-noflex {
  width: 100%;
  height: 2000px;
  margin-bottom: 180px;
}

.headFootText {
  font-family: "Josefin Sans", sans-serif;
  color: white;
}

.image-credit {
  font-family: "georgia";
  font-size: 14px;
  margin-top: 0;
}

.image-credit a {
  font-size: 14px;
  font-family: "Georgia";
}

.paddingSmall {
  height: 30px;
  width: 100%;
}

.plainText {
  font-family: Georgia;
  font-size: 20px;
}

.subNav-links {
  font-family: "Josefin Sans", sans-serif;
  text-decoration: none;
  line-height: 2em;
}

@media (max-width: 992px) {
  .subNav {
    display: none;
  }
}

.wrapper {
  height: auto;
  position: relative;
}

#content-wrap {
  padding-bottom: 130px;
}

#headImg {
  display: flex;
  justify-content: space-between;
}

#headImg form {
  margin-right: 6%;
  margin-top: 4%;
}

#headImg .btn {
  font-size: 1.7rem;
  background-color: #722894;
  border-color: #722894;
}

#headImg .btn:hover {
  background-color: #491454;
}

#page-container {
  position: relative;
  min-height: 100vh;
}

@media (max-width: 992px) {
  #headImg .btn {
    font-size: 1rem;
  }
}

/* || Sitewide - Bootstrap Mods */

.card {
  font-family: "Georgia";
  border: none;
}

.card-footer {
  background-color: white;
  border: none;
}

/* || Sitewide - Buttons */

.btn {
  display: inline-block;
  font-weight: 400;
  color: #212529;
  text-align: center;
  vertical-align: middle;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  background-color: transparent;
  border: 1px solid transparent;
  padding: 0.375rem 0.75rem;
  font-size: 1rem;
  line-height: 1.5;
  border-radius: 0.25rem;
  transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out,
    border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
  font-family: "Josefin Sans", sans-serif;
}

.btn-lg,
.btn-group-lg > .btn {
  padding: 0.5rem 1rem;
  font-size: 1.25rem;
  line-height: 1.5;
  border-radius: 0.3rem;
}

.btn-primary {
  color: white;
  background-color: #2e6cc9;
  border-color: #2e6cc9;
  text-decoration: none;
  font-family: "Josefin Sans";
}

.btn-primary:hover {
  color: white;
  background-color: #1a4078;
  border-color: #1a4078;
}

/* || Sitewide - Forms */

.form-control {
  display: block;
  width: 100%;
  height: calc(1.5em + 0.75rem + 2px);
  padding: 0.375rem 0.75rem;
  font-size: 1rem;
  font-weight: 400;
  line-height: 1.5;
  color: #495057;
  background-color: #fff;
  background-clip: padding-box;
  border: 1px solid gray;
  border-radius: 0.25rem;
  transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}

.form-group {
  margin-bottom: 1rem;
  font-size: 1.7rem;
}

/* || Sitewide -- Navigation and Header */

.dropdown-item {
  color: white;
}

.dropdown-item:hover {
  background-color: #491454;
  color: white;
}

.navbar {
  background-color: #2e6cc9;
  font-family: "Josefin sans";
  text-align: center;
}

.navbar .dropdown-menu {
  background-color: #722894;
}

.navbar-nav {
  justify-content: space-between;
  width: 100%;
}

.navbar a {
  font-size: 1rem;
}

#supportButton {
  background-color: #e8d35a;
}

#supportButton .nav-link {
  color: black;
}

/* || Sitewide -- Footer */

.footer {
  width: 100%;
  height: 200px;
  background-color: #e04f4f;
  position: absolute;
  padding-top: 1%;
  left: 0;
  bottom: 0;
  font-family: "Josefin Sans", sans-serif;
  color: white;
  font-size: 1.2rem;
}

.footer a {
  color: white;
  size: 1.6rem;
  text-decoration: underline;
}

.footer-details {
  display: block;
  width: 100%;
  margin-bottom: 0.7em;
}

.footer-space {
  margin-bottom: 250px;
}

.last-lines {
  padding-left: 1%;
}

#social-media-icons {
  display: flex;
  justify-content: space-around;
  width: 70%;
}

#social-media-icons img {
  width: 100%;
  height: auto;
}

#donate-footer {
  margin-top: 10%;
}

@media (max-width: 992px) {
  #contact-line {
    display: none;
  }
  .last-lines {
    text-align: center;
  }
}

@media (max-width: 576px) {
  .last-lines {
    font-size: 14px;
  }
}

/* || Home */

.column-pics {
  max-width: 80%;
  max-height: 30%;
}

.column-pics,
#stories-header {
  margin-top: 9%;
}

#column1,
#column2 {
  border-right: solid 1px gray;
}

#homePage #homeButton {
  background-color: #1a4078;
}

#program-container {
  width: 100%;
  height: 600px;
  display: flex;
  justify-content: center;

  margin-top: 25px;
}

@media (max-width: 992px) {
  #column1,
  #column2,
  #column3 {
    border-right: none;
    border-top: solid 1px gray;
    padding-bottom: 3%;
  }

  #column3 {
    overflow: visible;
    max-height: 1500px;
  }
}

/* || Home -- Slideshow */

.carousel-image-container {
  width: 100%;
  height: auto;
}

.carousel-caption {
  font-size: 1.3rem;
}

.carousel,
.slide {
  margin-top: 2%;
  width: 80%;
}

#slide1 .carousel-caption {
}

.carousel .image-credit {
  text-align: left;
}

#slide2 .carousel-caption {
}

#slide3 .carousel-caption {
  background-color: black;
  color: white;
}

.responsive-caption {
  width: 80%;
  text-align: center;
}

@media (min-width: 992px) {
  .responsive-caption {
    display: none;
  }
}

@media (max-width: 992px) {
  .carousel-indicators {
    top: 0;
  }

  .carousel-control-prev,
  .carousel-control-next {
    bottom: 30%;
  }

  .carousel,
  .slide {
    width: 100%;
  }
}

@media (max-width: 768px) {
  .carousel-control-prev,
  .carousel-control-next {
    bottom: 60%;
  }
}

/* || Summer */

.about .content-container {
  height: 600px;
}

#aboutButton {
  background-color: #1a4078;
}

#program-text {
  font-size: 1.3rem;
}

#summer-column-pics {
  display: flex;
  flex-flow: column;
  justify-content: flex-start;
}

#summer-column-pics img {
  max-width: 70%;
  height: auto;
  margin-left: 2%;
  margin-bottom: 2%;
  border-radius: 8px;
}

#summer-column-text {
  width: 45%;
  height: 100%;
  font-family: Georgia;
  font-size: 20px;
  line-height: 1.5em;
}

.page-titles {
  margin-top: 2%;
  text-align: center;
}

@media (max-width: 992px) {
  #summer-column-pics {
    padding-left: 15%;
    padding-top: 3%;
  }
}
/* || Mentor */

/* || Staff Pages */

#boardPage .content-container {
  height: 1100px;
}

#staffPage .content-container {
  height: 1050px;
}

.staffBoardPages #staffButton {
  background-color: #1a4078;
}

.staff-container {
  width: 70%;
  height: 1000px;
  display: flex;
  flex-wrap: wrap;
  padding: 2%;
  margin-bottom: 180px;
}

.staff-details {
  line-height: 1.3em;
  font-family: "Josefin Sans", sans-serif;
  margin-top: 0;
  margin-bottom: 0;
}

.staff-info {
  text-align: center;
  flex-direction: column;
  margin-top: 4%;
}

.staff-info a {
  text-decoration: underline;
}

.staff-info img {
  border: outset 4px;
  margin-bottom: 10px;
}

#boardPage #staff-name {
  color: #8a3232;
}

#boardPage .content-container img {
  border-color: #1a4078;
}

#staff-email a {
  font-size: 1rem;
  color: black;
}

#staff-name {
  font-size: 1.3rem;
  text-transform: uppercase;
}

.staffBoardPages .staff-info img {
  border-color: #b33529;
  width: 75%;
  height: auto;
}

#staffPage #staff-name {
  color: #1a4078;
}

@media (max-width: 992px) {
  .staff-details {
    font-size: 2.3rem;
  }
  #staff-name {
    font-size: 2.5rem;
  }
  #staff-email a {
    font-size: 2rem;
  }
}

/* || Current Staff */

.image-container {
  width: 80%;
  margin-bottom: 1%;
}

.doc-describe {
  width: 65%;
  padding-bottom: 3%;
  font-family: Georgia;
  font-size: 1rem;
}

.doc-title {
  font-family: "Josefin Sans", sans-serif;
  font-weight: 700;
  font-size: 1.1rem;
  color: #1a4078;
}

.downloadables-table {
  width: 78%;
}

.downloadables-table a {
  font-size: 1rem;
  font-weight: 700;
}

.downloadables-table td {
  margin-bottom: 50px;
}

.downloadables-table th {
  text-align: left;
}

/* || Contact Page */

.contact-column {
  margin-top: 3%;
}

.halfFields {
  width: 95%;
}

#contact-details {
  width: 50%;
  height: 200px;
}

#contact-details a {
  font-family: "georgia";
  font-size: 18px;
}

#contact-details .plainText {
  font-size: 18px;
  line-height: 1.5rem;
}

#contactPage #contactButton {
  background-color: #1a4078;
}

#contactPage button {
  font-size: 18px;
}

#contactPage h2 {
  color: #b33529;
}

#contactPage label {
  font-family: "Josefin Sans", sans-serif;
  font-weight: 700;
}

#contactPage textarea {
  font-family: "Arial";
}

#contactPage td {
  padding-left: 2%;
}

#contactPage th {
  text-align: right;
  width: 50%;
}

#contactPage textarea {
  width: 100%;
  min-height: 75px;
}

#contactPage .content-container {
  margin-top: 4%;
  height: 600px;
}

#email-container {
  width: 45%;
}

#map {
  margin-left: 15%;
}

#map iframe {
  border-radius: 8px;
  border: solid gray 1px;
}

#message-container {
  max-width: 560px;
}

#name-container {
  width: 45%;
}

#nameEmail-container {
  width: 100%;
  display: flex;
}

#subjectBox {
  width: 89.5%;
}

/* || Parent Page */

.parent-box {
  width: 30%;
  padding-left: 2%;
  padding-right: 2%;
  position: relative;
}

.parent-columns {
  margin-bottom: 5%;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

#blurb-container {
  width: 30%;
  height: auto;
  padding-left: 2%;
  display: flex;
  align-content: center;
}

#blurb-container p {
  font-size: 1.6rem;
  line-height: 2.3rem;
}

#parent-info-container {
  width: 100%;
  height: 500px;
  display: flex;
  margin-top: 2%;
}

#parents-page-image img {
  width: 60%;
  height: auto;
  border-radius: 3%;
}

#parentPage form {
  font-family: "georgia";
}

#parentPage .plainText {
  font-size: 18px;
}

#parentPage #parentButton {
  background-color: #1a4078;
}

#parents-text-box {
  font-size: 1.5rem;
  padding-top: 2%;
  text-align: center;
  align-items: center;
  justify-content: center;
}

#pic-blurb-container {
  display: flex;
  justify-content: center;
  margin-bottom: 5%;
}

#weekly-schedule {
  border-left: solid gray 1px;
  border-right: solid gray 1px;
}

@media (max-width: 992px) {
  .parent-columns {
    border-top: solid gray 1px;
    padding-top: 3%;
  }

  #weekly-schedule {
    border-left: none;
    border-right: none;
  }

  #parents-page-image {
    text-align: center;
  }
}

/* || Employment Page */

.banner-text {
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  color: white;
  background: rgba(1, 1, 1, 0.5);
}

.banner-text-box {
  position: relative;
}

#employee-description {
  padding-left: 5%;
  padding-right: 5%;
  line-height: 1.5rem;
  margin-bottom: 230px;
}

#employmentPage #employmentButton {
  background-color: #1a4078;
}

#employmentPage .banner-text {
  padding-top: 5%;
  font-size: 4rem;
  font-family: "Josefin Sans";
}

#employmentPage .jumbotron a {
  font-size: 1.6rem;
}

#employmentPage .btn {
  font-size: 1.4rem;
}

#employmentPage .lead {
  font-size: 1.5rem;
  line-height: 2.4rem;
}

#employmentPage .content-noflex {
  height: 3000px;
}

@media (max-width: 992px) {
  #employmentPage .banner-text {
    font-size: 2.5rem;
  }
}

@media (max-width: 768px) {
  #employmentPage .banner-text {
    font-size: 1.5rem;
  }
}

/* || Support Page */

.button-container {
  position: absolute;
  bottom: 0;
  width: 95%;
  text-align: center;
}

.donate-pic {
  max-width: 45%;
  height: 175px;
}

.donate-pic img {
  width: 100%;
  height: auto;
  border-radius: 4px;
}

.support-info-container {
  width: 100%;
  height: 550px;
  display: flex;
  margin-top: 2%;
  margin-bottom: 5%;
}

.support-info-container p {
  font-size: 1.1rem;
}

#help-container {
  font-size: 1.5em;
  width: 50%;
  height: auto;
  margin-left: 2%;
}

#main-image-container {
  width: 40%;
  height: 400px;
}

#main-image-container img {
  width: 100%;
  height: auto;
}

#pic-blurb-support {
  display: flex;
}

#support-container {
  display: flex;
  margin-top: 3%;
  height: 1700px;
  margin-bottom: 180px;
}

#support-main {
  height: 1700px;
  width: 77%;
}

#supportPage .banner-text {
  background: rgba(0, 0, 0, 0.4);
  color: white;
  padding-top: 3%;
  font-size: 4rem;
  font-family: "Josefin Sans";
}

#supportPage .card {
  margin-bottom: 2.8em;
}

#supportPage .card img {
  width: 55%;
  margin-left: 1.25rem;
}

#supportPage .card .image-credit {
  width: 55%;
  margin-left: 1.25rem;
}

#supportPage .image-credit {
  font-size: 11px;
}

#supportPage .image-credit a {
  font-size: 11px;
}

#supportPage .parent-box {
  height: 500px;
}

@media (max-width: 992px) {
  #supportPage .banner-text {
    font-size: 2.5rem;
  }
}

@media (max-width: 768px) {
  #supportPage .banner-text {
    font-size: 1.5rem;
  }
}

/* PAYPAL PAYMENT FORM CODE */

.pp-form {
  margin: 0px;
}

.pp-input {
  width: 100%;
  margin: 3px 0px 3px 0px;
  font-family: "georgia";
}

.pp-textarea {
  width: 100%;
  margin: 3px 0px 3px 0px;
  font-family: "georgia";
}

.pp-button {
  width: 134px;
  margin: 3px 0px 3px 0px;
}

.pp-badge {
  margin: 20px auto 0px 0px;
}

/* || Fundraise */

.align-self-start {
  -ms-flex-item-align: start !important;
  align-self: flex-start !important;
}

.display-4 {
  font-size: 3.5rem;
  font-weight: 300;
  line-height: 1.2;
  padding-left: 1%;
  padding-right: 1%;
}

.fundraise-image-box {
  width: 20%;
  margin-right: 4%;
}

.fundraise-image-box img {
  width: 100%;
  height: auto;
}

.fundraise-image-box .image-credit {
  font-size: 0.7rem;
}

.fundraise-image-box .image-credit a {
  font-size: 0.7rem;
}

.jumbotron {
  padding: 0 1rem;
  margin-bottom: 2rem;
  border-radius: 0.3rem;
  position: relative;
}

.jumbotron-background {
  object-fit: fill;
  position: absolute;
  top: 0;
  z-index: 1;
  width: 100%;
  height: 100%;
  opacity: 0.5;
}

.jumbotron-fluid {
  padding-right: 0;
  padding-left: 0;
  border-radius: 0;
}

.lead {
  font-size: 1.25rem;
  font-weight: 300;
  padding-left: 5%;
  padding-right: 5%;
}

#delivery-form {
  display: none;
}

#fundraisePage .banner-text {
  background-color: rgba(0, 0, 0, 0);
  color: white;
  width: 30%;
  height: 20%;
  left: 60%;
  top: 3%;
  font-size: 4rem;
  font-family: "Josefin Sans";
}

#fundraisePage form {
  font-family: "georgia";
}

#fundraisePage .media {
  margin-bottom: 2em;
}

#pickup-form {
  display: none;
}

@media (max-width: 992px) {
  #fundraisePage .banner-text {
    font-size: 2.5rem;
  }
}

@media (max-width: 768px) {
  #fundraisePage .banner-text {
    font-size: 1.5rem;
  }
}

/* || Login Page */

#login-form {
  width: 30%;
  padding-top: 10%;
}

/* || Schedule Page */

.beaverton {
  background-color: #722894;
  border-color: #722894;
  color: white;
}

.beaverton:hover {
  color: white;
  background-color: #491454;
  border-color: #491454;
}

.btn-row {
  width: 100%;
  display: flex;
}

.btn-row .btn {
  margin-right: 4%;
  margin-bottom: 2%;
}

.go-back {
  text-decoration: underline;
  color: black;
}

.go-back:hover {
  text-decoration: underline;
  color: black;
}

.hidden-buttons {
  display: none;
}

.milwaukie {
  background-color: #e04f4f;
  border-color: #e04f4f;
  color: white;
}

.milwaukie:hover {
  color: white;
  background-color: #8a3232;
  border-color: #8a3232;
}

.parkrose {
  background-color: #2e6cc9;
  border-color: #2e6cc9;
  color: white;
}

.parkrose:hover {
  color: white;
  background-color: #1a4078;
  border-color: #1a4078;
}

#schedulePage button {
  margin-right: 7%;
}

#schedulePage .content-noflex {
  margin-left: 5%;
}

/* || Halloween */

.halloween-txt {
  color: #e87420;
}

.img-box {
}

.subheader-space {
  margin-top: 4%;
}

#halloweenPage h2 {
  font-size: 2.2rem;
}

#halloweenPage ul {
  font-family: "Georgia";
}

.hallo-btn {
  background-color: #e87420;
  font-size: 1.8rem;
  margin-bottom: 2%;
  margin-right: 3%;
}

.hallo-btn:hover {
  background-color: #db6904;
}

#halloweenPage .page-titles {
  margin-bottom: 2%;
}

#halloweenPage {
  font-size: 1.5rem;
  font-family: "Georgia";
}

#halloweenButton {
  background-color: #e87420;
  width: 10%;
  height: 100%;
}

#halloweenButton .nav-link {
  color: black;
}

#hallo-volunteer {
  background-color: black;
  color: #e87420;
}

/* || Winter */

.winter-btn {
  background-color: #1b5c9e;
  color: white;
  font-size: 1.8rem;
  margin-bottom: 2%;
  margin-right: 3%;
  width: 50%;
}

.winter-btn:hover {
  background-color: white;
  color: #1b5c9e;
}

.shop {
  background-color: rgba(213, 231, 246, 1);
}

.shop-text {
  height: 75px;
}

#winterButton {
  background-color: white;
  width: 10%;
  height: 100%;
}

#winterButton .nav-link {
  color: #1b5c9e;
}

.winter-txt {
  color: #1b5c9e;
}

#details-text {
  font-size: 1.4rem;
}

#details-text a {
  text-decoration: underline;
}

/* Background image source: https://wallpaper.dog/snowflake-wallpapers */
#winterPage {
  background-image: url("images/snowflake.jpg");
}

#winterPage .card {
  background-color: rgba(213, 231, 246, 1);
}

#winterPage .card img {
  width: 80%;
  height: auto;
}

#winterPage .footer-space {
  background-color: rgba(213, 231, 246, 0.8);
}

#winterPage .media img {
  width: 20%;
  height: auto;
}

#winterPage #headImg {
  background-color: white;
}

#winterPage table {
  height: 100px;
}

/* || Spring */

.prize-images img {
  margin-bottom: 2em;
}

#springButton {
  background-color: #9672b3;
  width: 10%;
  height: 100%;
}

#springButton a {
  color: white;
}

/* || COVID */

#covid-btn {
  background-color: #e04f4f;
  width: 10%;
  height: 100%;
}

#covid-btn .nav-link {
  color: black;
}
